%define major 3
%define libname %mklibname shout %{major}
%define develname %mklibname shout -d

Summary:	A library for communicating with and sending data to an icecast server
Name:		libshout
Version:	2.4.1
Release:	%mkrel 1
Group:		System/Libraries
License:	LGPL+
URL:		http://www.icecast.org/
Source0:	http://downloads.us.xiph.org/releases/libshout/%{name}-%{version}.tar.gz
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	speex-devel

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents bad data from getting to the icecast server.

With just a few lines of code, a programmer can easily turn any
application into a streaming source for an icecast server.  Libshout also
allows developers who want a specific feature set (database access,
request taking) to concentrate on that feature set, instead of worrying
about how server communication works.

Please refer to the API reference and example code to start learning how
to use libshout in your own code.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	speex-devel
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname shout 3 -d}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# remove installed doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/ckport/db/libshout.ckport
%{_libdir}/pkgconfig/shout.pc
%{_datadir}/aclocal/shout.m4


%changelog
* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.4.1-1.mga6
+ Revision: 918951
- 2.4.1

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-5.mga5
+ Revision: 748768
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-4.mga5
+ Revision: 681780
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.3.1-3.mga4
+ Revision: 507329
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.3.1-2.mga3
+ Revision: 358143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 fwang <fwang> 2.3.1-1.mga3
+ Revision: 258365
- new verion 2.3.1

* Mon Mar 05 2012 fwang <fwang> 2.3.0-1.mga2
+ Revision: 218333
- new version 2.3.0

* Sat Jan 15 2011 ahmad <ahmad> 2.2.2-8.mga1
+ Revision: 19525
- drop old/unneeded scriptlets
- imported package libshout

